Nushio

Hey guys, I was able to run the 1.0.18 version but now that I've updated to 1.1.0, I can't run the new version.

The error I'm getting is
Error: Could not find or load main class com.esotericsoftware.spine.editor.launcher.Launcher

Also, did you guys really bundle the entire JRE into Spine? I'd rather use the one I've got on my system instead of a bundled copy...

Thanks.
Avatar
Nushio

Kickstarter Backer
  • Postovi: 6

Nate

From your error message it looks like you don't have the latest.

Yes, we bundle a stripped down JRE (OpenJDK 7u24). We can't trust you (as in the general user :p) to have a proper JRE. ;) Have you downloaded the latest? The launcher (and editor) was updated late last night. The launcher is 1.0.03 and the editor is 1.1.04. You'll only have to download the launcher once, after that it will stay up to date.

If you really want to run with your own JRE, just look at what the shell script does. Instead of running the embedded JRE, it's easy to run your own. :)
Avatar
Nate

Nate
  • Postovi: 11855

Nushio

Well that's odd, I'm running java-1.7.0-openjdk-1.7.0.9-2.3.7.0.fc18.i686
Which is supposedly the latest Java 1.7 (Available in Fedora 18). I downloaded Spine prior to posting this post, from my super secret URL.

In any case, I did try to run the JRE bundled in Spine, (via Spine.sh). It won't run. (Same error).

[Nushio@Serenity spine]$ sh Spine.sh
Error: Could not find or load main class com.esotericsoftware.spine.editor.launcher.Launcher

Edit: Here's a comparison of Java versions. afaict, Fedora's Java is slightly newer.
[Nushio@Serenity bin]$ ./spinejava -version
openjdk version "1.7.0-u6-unofficial"
OpenJDK Runtime Environment (build 1.7.0-u6-unofficial-b24)
OpenJDK Server VM (build 23.2-b09, mixed mode)
[Nushio@Serenity bin]$ java -version
java version "1.7.0_09-icedtea"
OpenJDK Runtime Environment (fedora-2.3.7.0.fc18-i386)
OpenJDK Server VM (build 23.7-b01, mixed mode)
Avatar
Nushio

Kickstarter Backer
  • Postovi: 6

ohorn

Same exception on Linux 64-bit. I think the launcher.jar file is corrupt. Running a zipfile integrity test returns:
> zip -T Spine/launcher/launcher.jar
META-INF/MANIFEST.MF bad CRC 34afceec (should be 32d63abb)
error: invalid compressed data to inflate l/i.class
file #4: bad zipfile offset (local header sig): 5369
file #5: bad zipfile offset (local header sig): 5965
...
file #34: bad zipfile offset (local header sig): 106331
test of Spine/launcher/launcher.jar FAILED

zip error: Zip file invalid, could not spawn unzip, or wrong unzip (original files unmodified)
ohorn

Kickstarter Backer
  • Postovi: 2

Nate

Haha, super secret URL. :drunk:

Sorry, I do see the same problem. I should not have doubted you! ;) How the hell did I mess this up... you've no idea how many times I've tested this. It seems ohorn is right, the launcher.jar in the tar.gz is corrupt. Crazy, what kind of luck... replaced it and it's fine. I then repackaged the Linux downloads, uploaded them, downloaded them all, and tested each one. All working, hope this is finally behind me! :angry:
Avatar
Nate

Nate
  • Postovi: 11855

ohorn

Yeah, your updated version works for me, too. :happy:

Thank you for the quick response and fixing.
ohorn

Kickstarter Backer
  • Postovi: 2

Nushio

The latest update does launch, but it gives me the following error:
Spine Launcher 1.0.04a-full
Linux i386 3.7.9-205.fc18.i686.PAE
Java 1.7.0-u6-unofficial Oracle Corporation
OpenJDK Server VM
java.lang.RuntimeException: Unable to rename temp file.
at l.f.run(SourceFile:570)
java.lang.RuntimeException: Unable to rename temp file.
at l.f.run(SourceFile:570)
java.lang.RuntimeException: Unable to rename temp file.
at l.f.run(SourceFile:570)

I suspect it's a path issue, but am not entirely sure :-/

Edit, I just saw this. For what it's worth, the linux 32bit build I downloaded a few minutes ago, prior to posting this. The launcher still reports itself as 1.0.04a-full after a re-download.
Avatar
Nushio

Kickstarter Backer
  • Postovi: 6

Nate

Sweet baby Jesus... moar problems! :'( If you download the latest launcher (it'll say "Spine Launcher 1.0.08" in the logs) then I believe it will work. Actually, I'm uploading it now, so please wait ~10 minutes (3am, I'm going to bed now).

Sorry about all the issues lately. There have been a number of minor issues on various platforms, and a few of those issues caused new problems on other platforms... :angry: I do actually test the damn thing a lot, and on all 3 OSes. Anyway, once the launcher gets stable I won't have to touch it again and this horrible game of whack-a-mole will cease. :punch:

Edit: Just saw your edit... seems the build doesn't work right, un momento por favor...
Avatar
Nate

Nate
  • Postovi: 11855

Nushio

Hah, I honestly can wait. I haven't deleted my old 1.0.18 version and that's what I've been using in the meantime :P
Avatar
Nushio

Kickstarter Backer
  • Postovi: 6

Nate

Wow, I did something dumb... build SFTP files to other machines for platform specific build stuff, but I was not reading the same file I had transferred. This means the last 4 or so launcher releases didn't actually update Mac or Linux. Sigh... all fixed now, verified, building and uploading now. Please wait at least 15 minutes and then try to download the launcher again. I'm off to dreamland where I am sure I'll have nightmares about this... :sleepy:
Avatar
Nate

Nate
  • Postovi: 11855

Nushio

FYI, The newest build works like a charm. Thanks a lot Nate! :D
Avatar
Nushio

Kickstarter Backer
  • Postovi: 6


Natrag na Editor